COSS
Suppressions

List suppressed addresses

GET
/v1/suppressions

The suppression list of the API key's environment, newest first. Pass the last id as after to get the next page while has_more is true.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Query Parameters

address?string

Only entries for this address.

scope?|

Only entries with this scope.

limit?integer

1-100, default 50.

Range1 <= value <= 100
after?string

Cursor: the id of the last entry of the previous page.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of entries.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.email.suppressions.list();
{  "object": "list",  "data": [    {      "object": "suppression",      "id": "sup_01k7c8m4q2f3e9v6t5r1n0p8yz",      "address": "user@example.com",      "scope": "marketing",      "reason": "manual",      "email_id": null,      "created_at": "2026-01-15T09:30:00.000Z"    }  ],  "has_more": false}